=== debian/changelog ===
nmapsi4 (0.5~alpha2-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:03:45 +1100

nmapsi4 (0.5~alpha2-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:04:33 +0000

nmapsi4 (0.5~alpha2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

  [Marcos Fouces]
  * Remove duplicate stanza in d/upstream/metadata.
  * Update d/copyright.

 -- Marcos Fouces <marcos@debian.org>  Thu, 09 Feb 2023 18:55:16 +0100

nmapsi4 (0.5~alpha2-3) unstable; urgency=medium

  * Update uploader email to @debian.org.
  * Bump to Standards-Version 4.5.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Thu, 11 Feb 2021 00:03:00 +0100

nmapsi4 (0.5~alpha2-2) unstable; urgency=medium

  * Rename docs => nmapsi4.docs
  * Add more doc files to package.
  * Update copyright dates.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Fri, 22 May 2020 17:50:04 +0200

nmapsi4 (0.5~alpha2-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

  [ Marcos Fouces ]
  * New upstream version 0.5~alpha2
  * Update Build-depends.
  * Bump to debhelper-compat 13.
  * Add dnsutils to Depends. It is needed to provide the dig command.
  * Add "Rules-Requires-Root: no" stanza in d/control.
  * Improve upstream metadata.
  * Bump to Standards-Version 4.5.0 (no changes needed).
  * Remove obsolete nmapsi4-logr manpage.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Thu, 14 May 2020 19:25:45 +0200

nmapsi4 (0.5~alpha1-3) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload.
  * Update team maintainer address to
    Debian Security Tools <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Marcos Fouces ]
  * Remove empty line on d/changelog.
  * Bump to dh compat level 11.
  * Add upstream metadata.
  * Bump to Standards-version 4.2.1 (no changes required).
  * Update copyright year.
  * Fix cross-building. Thanks to Helmut Grohne (Closes: #905610).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Nov 2018 15:35:52 +0100
