=== debian/control ===
Source: nmapsi4
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Build-Depends: debhelper-compat (=13), cmake (>= 2.6.0), qtbase5-dev, qtwebengine5-dev, qtscript5-dev, qtbase5-dev-tools, qttools5-dev-tools, qttools5-dev
Standards-Version: 4.6.2
Homepage: https://www.nmapsi4.org
Vcs-Git: https://salsa.debian.org/pkg-security-team/nmapsi4.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/nmapsi4
Rules-Requires-Root: no

Package: nmapsi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap, bind9-dnsutils
Description: graphical interface to nmap, the network scanner
 NmapSI4 is a complete Qt-based Gui with the design goal to provide a complete
 nmap interface for users, in order to manage all options of this power
 security net scanner.
