=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ , filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/nmapsi4-$1\.tar\.gz/" \
https://github.com/nmapsi4/nmapsi4/tags .*/v?(\d\S*)\.tar\.gz
