## nmapsi4 0.6~alpha1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,50 +1,52 @@
-PROJECT( nmapsi4 )
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 4)
+set(VERSION_MINOR 5)
 set(VERSION_PATCH 80)
 set(VERSION  ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
-set(CMAKE_CXX_STANDARD 11)
+PROJECT( nmapsi4 )
+
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-cmake_minimum_required(VERSION 2.8.2)
-
 if (NOT WIN32 AND NOT APPLE)
-    FIND_PACKAGE(Qt5 5.4.0 COMPONENTS
+    FIND_PACKAGE(Qt6 6.4.0 COMPONENTS
 	Core 
 	Widgets 
 	Network 
 	WebEngineWidgets
 	DBus 
-	Script 
+	#Script
 	LinguistTools 
 	Quick
 	Qml
 	Gui
+        Core5Compat
 	REQUIRED)
 else (NOT WIN32 AND NOT APPLE)
-    FIND_PACKAGE(Qt5 5.4.0
+    FIND_PACKAGE(Qt6 6.4.0
 	COMPONENTS 
 	Core 
 	Widgets 
 	Network 
 	WebEngineWidgets
-	Script 
+	#Script
 	LinguistTools 
 	Quick
 	Qml
 	Gui
+        Core5Compat
 	REQUIRED)
 endif (NOT WIN32 AND NOT APPLE)
 
-add_definitions (${QT5_DEFINITIONS})
-include_directories(${QT5_USE_FILE})
+add_definitions (${QT_DEFINITIONS})
+include_directories(${QT_USE_FILE})
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-nmapsi4.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-nmapsi4.h )
 
-add_definitions(-O2 -Wall -Wextra -g -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-O2 -Wall -Wextra -g -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_URL_CAST_FROM_STRING -DQT_NO_FOREACH -DQT_DISABLE_DEPRECATED_UP_TO=0x050F00)
 
 if (WIN32)
     include(CMakeMinGWFindMake)
@@ -68,7 +70,7 @@
                 IMMEDIATE @ONLY )
 
 message("-------------------------------------------------------------------")
-message(" Required for build:   qt5-dev (>>= 5.4.0) ")
+message(" Required for build:   qt6-dev (>>= 6.4.0) ")
 message(" Required for runtime: nmap+nping ( >= 6.00 ), dig ")
 message("-------------------------------------------------------------------")
