=== debian/changelog ===
nmapsi4 (0.6~alpha1-1) unstable; urgency=medium

  * Team upload.

  [ Marcos Fouces ]
  * New upstream version 0.6~alpha1 (Closes: #1113329)
  * Update Build-Depends package list to use  Qt6.
  * Convert d/watch to version 5.

  [ Sven Geuer ]
  * d/p/*: Add patch lintian-warnings-on-nmapsi4-admin-desktop.patch.
  * d/control:
    - Remove redundant 'Rules-Requires-Root: no'.
    - Update Build-Depends regarding minimal cmake version.
    - Bump Standards-Version to 4.7.2.
  * d/copyright:
    - Bump packaging copyright years.
    - Correct license from GPL-2 to GPL-2+ as indicated by lrc.

 -- Sven Geuer <sge@debian.org>  Sun, 23 Nov 2025 19:58:38 +0100
