=== debian/control ===
Source: nmapsi4
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Build-Depends: debhelper-compat (=13), cmake (>= 3.16.0), qt6-base-dev, qt6-webengine-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools, qt6-5compat-dev, libqt6core5compat6
Standards-Version: 4.7.2
Homepage: https://www.nmapsi4.org
Vcs-Git: https://salsa.debian.org/pkg-security-team/nmapsi4.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/nmapsi4

Package: nmapsi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap, bind9-dnsutils
Description: graphical interface to nmap, the network scanner
 NmapSI4 is a complete Qt-based Gui with the design goal to provide a complete
 nmap interface for users, in order to manage all options of this power
 security net scanner.
